var app = angular.module('myApp');
app.controller('showProject', showProject);
app.controller('insertProject', insertProject);
app.controller('deleteProject', deleteProject);

//	controlers tạo Get API
function showProject($scope, $http) {
    $http.get("http://localhost:8081/quan-tri/danh-sach-du-an").then(successCallback, errorCallback);

    function successCallback(response) {
        //success code
        console.log(response.data);
        {
            $scope.listProject = response.data
        }
    }

    function errorCallback(error) {
        //error code
        console.log("can't get data!!");
    }
};

// tạo controllers insert APT
function insertProject($scope, $http) {
    $scope.insert_project = function () {
        $http({
            //khai báo type
            method: 'POST',
            //đường dẫn API
            url: 'http://localhost:8081/quan-tri/them-du-an',
            //truyền dữ liệu nhập trên cline vào data

            data: angular.toJson($scope.lstProject),
            //kiểu dữ liệu API
            headers: {
                'Content-Type': 'application/json'
            }
            //    kết quả trả về (THEN)
        }).then(successCallback, errorCallback);

        //tạo funtion nếu thành công!
        function successCallback(response) {
            $window.location.href = 'http://localhost:8081';
        }

        //tạo funtion kiểm tra nếu thất bại
        function errorCallback(error) {
            //error code
            console.log("can't insert data!!");
        }
    }
};

//delete project theo id
function deleteProject($scope, $window, $http) {
    $scope.deleteProject = function (project) {
        if (confirm("Bạn có chắc chắn muốn xóa ?")) {
            $http({
                method: 'DELETE',
                url: 'http://localhost:8081/quan-tri/xoa-du-an',
                data: $scope.project,
                headers: {
                    'Content-Type': 'application/json'
                }
            }).then(function (response) {
                $window.location.href = 'http://localhost:8081';
            }, function (data, status) {
            });
        }
    };
};


//tạo service lấy id của đường dẫn
angular.module('ProjectApiModule.Services', []).factory('projectGetService', function ($resource) {
    return $resource('http://localhost:8081/quan-tri/chi-tiet-du-an/:id', {id: '@myCarId'}, {
        update: {
            method: 'PUT'
        }
    });
});

//service kiểm tra id có tồn tại không